#!/bin/bash
#
# Set as down.sh script for User-Defined VPN connections.
#
# Gijs Withagen, 19-3-2020
#
# Alexey Pronin, 25-3-2020

NMSRVRS=""

while read DNS; do
    NMSRVRS="${NMSRVRS:+$NMSRVRS }$DNS"
done < /storage/.config/openvpn/nameservers.bak
echo "$NMSRVRS"

ETHSVC=$(connmanctl services | awk '{print $3}')

connmanctl config "$ETHSVC" --nameservers "$NMSRVRS"
connmanctl config "$ETHSVC" --domains
